Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class FactoryConfigurationError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--javax.xml.parsers.FactoryConfigurationError

All Implemented Interfaces:
  java.io.Serializable

public class FactoryConfigurationError
extends java.lang.Error

See Also:
  Serialized Form

Constructor Summary
`FactoryConfigurationError()` Creates a new error
`FactoryConfigurationError(java.lang.Exception e)` Creates a new error with a wrapped exception
`FactoryConfigurationError(java.lang.Exception e, java.lang.String msg)` Creates a new error with a wrapped exception
`FactoryConfigurationError(java.lang.String msg)` Creates a new error with the given message

Method Summary
`java.lang.Exception` | `getException()` Get the root cause of the exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FactoryConfigurationError

    public FactoryConfigurationError()

  Creates a new error

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.String msg)

  Creates a new error with the given message

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.Exception e)

  Creates a new error with a wrapped exception

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.Exception e,
                                     java.lang.String msg)

  Creates a new error with a wrapped exception

Method Detail

### getException

    public java.lang.Exception getException()

  Get the root cause of the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD